POST
/license/activateActivate a license key
Activates an enterprise license for the workspace. Provide the licenseKey to have it validated by the license server and activate the license.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
Enterprise license details; licenseKey is required.
licenseKeystringrequired
Enterprise license key. Validated against the Docmost license server.
200Returns confirmation of license activation in the successful response envelope, with the response payload in `data` and `status` and `success` fields.
dataunknownoptional
Response payload
statusintegeroptional
successbooleanoptional
400Returned when the license key is invalid or expired.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
403Returned when license activation is forbidden.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 400 is returned when licenseKey is invalid or expired. A 403 is returned when license activation is forbidden; provide a valid enterprise license key and ensure activation is permitted for the workspace.